%define major 7
%define libname %mklibname ticables2_ %{major}
%define devname %mklibname ticables2 -d

Summary:	Library to handle the different TI link cables
Name:		libticables2
Version:	1.3.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		Communications/Serial
Url:		https://sourceforge.net/projects/tilp/
Source0:	https://download.sourceforge.net/tilp/%{name}-%{version}.tar.xz
Source1:        http://tc01.fedorapeople.org/tilp2/69-libticables.rules
Patch2:         ppc64le.patch
BuildRequires:	pkgconfig(libusb)
BuildRequires:	glib2-devel
BuildRequires:	gettext-devel

%description
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Internationalization and locale data for %{name}.

%package -n %{libname}
Summary:	Library to handle different TI link cables
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes: libticables2

%description -n %{libname}
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package -n %{devname}
Summary:	Development related files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ticables2-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:  libticables2-devel

%description -n %{devname}
This package contains headers and other necessary files to develop or compile
applications that use %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--enable-libusb10 \
	--enable-logging \
	--disable-rpath
%make

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{devname}
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ticables2.pc
%{_includedir}/tilp2/*


%changelog
* Fri Feb 17 2017 adrianomorselli <adrianomorselli> 1.3.5-1uplos2017
- update
- removed old stuff
